## crystalspace 1.4.0+dfsg

=== debian/changelog ===
crystalspace (1.4.0+dfsg-4ubuntu1) oneiric; urgency=low

  * Drop build-dependency on NBS libcucul-dev.  crystalspace already
    build-depends on libcaca-dev, and libcucul-dev was merely a transitional
    package for libcaca-dev at the end of its life.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Sep 2011 14:17:44 +0100

crystalspace (1.4.0+dfsg-4) unstable; urgency=low

  * Add upstream debian/patches/ARM_support.diff patch to add ARM to supported
    archs.
  * debian/rules: invoke bin/autogen.sh.
  * debian/control: add autoconf to Build-Depends field.
  * debian/control: add Vcs-Svn and Vcs-Browser fields.
  * Update libcrystalspace-1.4.symbols.amd64 file.
  * debian/rules: update dh_makeshlibs call.
  * Bump Standards-Version to 3.9.2.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 14 Apr 2011 10:46:41 +0200

crystalspace (1.4.0+dfsg-3) unstable; urgency=low

  * debian/control: remove quilt from Build-Depends field, not needed with
    new source format.
  * debian/control: adjust Architecture fields (Closes: #598755, #544831).
  * debian/control: remove crystalspace from crystalspace-data Depends field
    (Closes: #619538).
  * debian/control: remove crystalspace-doc and libcrystalspace-1.4 Suggests
    fields.
  * debian/rules: remove useless PATH_VERSION.
  * debian/rules: add -Wa,-mregnames to CFLAGS on powerpc (Closes: #594857).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 02 Apr 2011 22:07:50 +0200

crystalspace (1.4.0+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control: remove libjackasyn-dev from Build-Depends field.
  * debian/control: add missing Replaces and Breaks fields.
  * debian/{control, rules}: modify libcrystalspace package name to
    libcrystalspace-1.4.
  * Add libcrystalspace-1.4.symbols.amd64 symbols control file.
  * debian/rules: call dh_makeshlibs.
  * debian/rules: remove override_dh_strip target, files are already stripped
    during build.
  * debian/rules: move .dbg files generated during build from /usr/lib to
    libcrystalspace-dbg package, remove others.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 06 Mar 2011 14:52:29 +0100

crystalspace (1.4.0+dfsg-1) experimental; urgency=low

  * data/castle/* and data/castle-tex.zip in the original tarball are licensed
    under Creative Commons Attribution ShareAlike 2.5 which is a non-free
    license. Fix get-orig-source target to remove non-free files
    (Closes: #592926).
  * debian/patches/remove_castle_map.diff: remove non-free castle map.
  * debian/patches/default_walktest_parallaxtest.diff: set parallaxtest as
    default map for walktest.
  * debian/patches/csstartme_startme_cfg_programs.diff: don't show castle
    walktest anymore.
  * debian/control: modify libasound-dev to libasound-dev [ linux-any ] in
    Build-Depends field as suggested by Gonéri Le Bouder.
  * debian/rules: pass --enable-shared to ./configure as suggested by
    Gonéri Le Bouder, fix FTBFS on kFreeBSD.
  * debian/control: add default-jdk and libpng12-dev to Build-Depends field.
  * debian/control: don't build crystalspace on armel, ia64 and mipsel.
  * Fix debian-watch-file-should-mangle-version lintian warning.
  * Bump Standards-Version to 3.9.1.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 14 Aug 2010 18:43:16 +0200

crystalspace (1.4.0-1) experimental; urgency=low

  * New upstream release, tarball generated using the provided get-orig-source
    target.
  * New Debian package (Closes: #559071, #553571), keep old debian/changelog.
    Thanks to Christian Bayle who made the old Debian package.
  * debian/patches/csstartme_startme_cfg_programs.diff: do not show csdemo
    too, it doesn't work without demodata.zip which is not available anymore
    (Closes: #353656).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 15 Jul 2010 18:23:34 +0200

crystalspace (1.4.0~svn32711-1) unstable; urgency=low

  [ Devid Antonio Filoni ]
  * New upstream svn revision 32711.
  * debian/control: add myself to Uploaders field.
  * debian/rules: don't use --without-java during build.
  * debian/control: add jam to Build-Depends field.
  * Update debian/patches/csstartme_startme_cfg_programs.diff patch.
  * debian/rules: update get-orig-source to generate a tarball from svn.
  * debian/rules: do not depend on excutable bit.
  * Fix quilt-patch-missing-description lintian info.

  [ Barry deFreese ]
  * Build on amd64. (Closes: #543082).
  * Build with freeglut3-dev instead of glutg3-dev. (Closes: #543695).
  * Add ${misc:Depends} to all binaries for debhelper package.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 23 Oct 2009 14:09:55 -0400

crystalspace (1.2.1-2) unstable; urgency=low

  * Build-depends on libode-dev instead of libode0-dev (Closes: #520729)
  * Unfold the Build-Depends: field
  * Drop --enable-new-renderer since it doesn't exist anymore
  * Pass CFLAGS as a env var, config.mak is not sourced anymore during the
    build (Closes: #524764)
  * CompareAndSet doesn't return an undef value on SPARC anymore
    + add sparc_defined_prev_in_CompareAndSet.diff 
  * atomicops_sparc.h uses some SPARCv9 instructions, add -Wa,-xarch=v8plus
    to CFLAGS to be sure gcc accept them
  * Bump standard version to 3.8.2, no change

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 07 Jun 2009 17:03:06 +0200

crystalspace (1.2.1-1) unstable; urgency=low

  [ Barry deFreese ]
  * New maintainer.
    + Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
    + Keep Christian Bayle for collaboration.
  * Add VCS tags.
  * Acknowledge NMUs.
  * Move from section games to section devel.
  * Build without java for now.
  * Changes taken from Ubuntu package:
    + Thanks to Devid Filoni <d.filoni@techemail.com>.
    + Provide a get-orig-source target to do the repackaging.
    + Add libcaca-dev, libwxgtk2.8-dev, libcegui-mk2-dev build-deps.
    + Modify debian/rules to build in all architectures.

