=== debian/control ===
Source: crystalspace
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Christian Bayle <bayle@debian.org>, Barry deFreese
 <bdefreese@debian.org>, Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.2.6), lib3ds-dev, autoconf,
 libogg-dev, libjpeg62-dev, libfreetype6-dev, zlib1g-dev, libode-dev
 | libode0-dev, libopenal-dev, libcal3d-dev, swig, flex, bison, doxygen,
 libmng-dev, libsdl1.2-dev, libx11-dev, libcaca-dev, libwxgtk2.8-dev,
 libcegui-mk2-dev, python-dev, libcppunit-dev,
 libasound-dev [ linux-any ], liblcms-dev, libcairo-dev, libcairomm-1.0-dev,
 libgtk2.0-dev, jam, libgl1-mesa-dev | libgl-dev, libvorbis-dev,
 libxxf86vm-dev, libxaw7-dev, default-jdk, libpng12-dev
Standards-Version: 3.9.2
Homepage: http://www.crystalspace3d.org/main/Main_Page
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/crystalspace/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-games/packages/trunk/crystalspace/

Package: libcrystalspace-1.4
Architecture: amd64 armel i386 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: crystalspace (<< 1.4.0-1), libcrystalspace (<< 1.4.0+dfsg-2)
Breaks: crystalspace (<< 1.4.0-1), libcrystalspace (<< 1.4.0+dfsg-2)
Description: Multiplatform 3D Game Development Kit
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.

Package: libcrystalspace-dev
Section: libdevel
Architecture: amd64 armel i386 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrystalspace-1.4 (= ${binary:Version})
Replaces: crystalspace-dev
Conflicts: crystalspace-dev
Description: Multiplatform 3D Game Development Kit (development files)
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.
 .
 This package provides the development files of Crystal Space.

Package: libcrystalspace-dbg
Section: debug
Priority: extra
Architecture: amd64 armel i386 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
Depends: ${misc:Depends}, libcrystalspace-1.4 (= ${binary:Version})
Description: Multiplatform 3D Game Development Kit (debugging files)
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.
 .
 This package provides the debugging files of Crystal Space.

Package: crystalspace
Architecture: amd64 armel i386 kfreebsd-amd64 kfreebsd-i386 powerpc sparc
Depends: ${shlibs:Depends}, ${misc:Depends}, crystalspace-data
 (= ${source:Version}), libcrystalspace-1.4 (= ${binary:Version})
Description: Multiplatform 3D Game Development Kit (binaries)
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.
 .
 This package provides the binaries of Crystal Space.

Package: crystalspace-data
Architecture: all
Depends: ${misc:Depends}
Replaces: crystalspace (<< 1.4.0-1)
Breaks: crystalspace (<< 1.4.0-1)
Description: Multiplatform 3D Game Development Kit (data files)
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.
 .
 This package provides the data files of Crystal Space binaries.

Package: crystalspace-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for Crystal Space
 Crystal Space is a free 3D game toolkit. It can be used for a variety
 of 3D visualization tasks. Many people will probably be interested in using
 Crystal Space as the basis of a 3D game, for which it is well suited.
 .
 This package provides documentation for Crystal Space.
