=== debian/changelog ===
crystalspace (2.0+dfsg-1build1) trusty; urgency=medium

  * No-change rebuild for libmng soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2013 16:49:08 +0100

crystalspace (2.0+dfsg-1) unstable; urgency=low

  * Team upload.
  * Build-dep on libjpeg-dev instead of libjpeg62-dev. (Closes: #633727)
  * Drop build-dep on libcucul-dev. (Closes: #633809)
  * debian/rules: Just skip dh_auto_test instead of forcing DEB_BUILD_OPTIONS
    to "nocheck".
  * debian/README.source: Remove quilt documentation.

  [ Barry deFreese ]
  * New upstream release (2.0).
    - Remove ARM patch as it is now in upstream.
    - Add patch to fix instantiation errors.
  * Refresh patch to remove castle maps on build.
  * Build-dep on libpng-dev not libpng12-dev. (Closes: #662540)
  * Add hardening flags.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Wed, 15 May 2013 12:36:58 -0400
